cpdef double exp_fast(double x)

cpdef double exp_fast2(double x)

cdef double log_sum_exp_c(double[::1] x)

cpdef double vonmisesvariate(double mu, double kappa)

cpdef int gaussian_poisson_brute_force(
    double mean, double variance, double rate, int max_k=?)
